;   Procedure:  MISSING.PRO
;     Purpose:  Produces a data table of the data with missing values. 
;               Accessed when selection #1 or #2 is chosen in
;               'truewind.pro'.


PRO missing_values, num, crse, cspd, wdir, hd, wspd, tdir, tspd, wmis

   PRINT, ' '
   PRINT, '------------------------------------------------------------------------------------'
   PRINT, ' '
   PRINT, '                                MISSING DATA TABLE'     
   PRINT, '                               ********************'
   PRINT, '           index  course  sspeed  windir  shiphd  appspd  trudir  truspd'

   for i=0,num-1 do begin
     if( (crse(i) EQ wmis(0)) OR (cspd(i) EQ wmis(1)) OR $
         (wdir(i) EQ wmis(2)) OR (wspd(i) EQ wmis(3)) OR $
	 (hd(i) EQ wmis(4)) ) then begin
       PRINT, FORMAT="(8x, I8, 7f8.1)",i+1, crse(i), cspd(i), wdir(i), $
           hd(i), wspd(i), tdir(i), tspd(i)
     endif   
   endfor

END
